# Poco::Crypto

# class CipherImpl

Library: Crypto
Package: Cipher
Header: Poco/Crypto/CipherImpl.h

## Description

An implementation of the Cipher class for OpenSSL's crypto library.

## Inheritance

Direct Base Classes: Cipher

All Base Classes: Cipher, Poco::RefCountedObject

## Member Summary

Member Functions: createDecryptor, createEncryptor, name

Inherited Functions: createDecryptor, createEncryptor, decrypt, decryptString, duplicate, encrypt, encryptString, name, referenceCount, release

## Constructors

### CipherImpl

CipherImpl(
const CipherKey & key
);

Creates a new CipherImpl object for the given CipherKey.

## Destructor

### ~CipherImpl

virtual ~CipherImpl();

Destroys the CipherImpl.

## Member Functions

### createDecryptor

CryptoTransform::Ptr createDecryptor();

Creates a decryptor object.

See also: Poco::Crypto::Cipher::createDecryptor()

### createEncryptor

CryptoTransform::Ptr createEncryptor();

Creates an encryptor object.

See also: Poco::Crypto::Cipher::createEncryptor()

### name

const std::string & name() const;

Returns the name of the cipher.

See also: Poco::Crypto::Cipher::name()